For the complete documentation index, see llms.txt. This page is also available as Markdown.

Invites

Snyk API reference for the Invites endpoints, including request parameters and response schemas

This document uses the REST API. For more details, see the Authentication for API page.

Invite a user to an organization

post

Invite a user to an organization with a role.

Required permissions

  • Invite users (org.user.invite)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

The id of the org the user is being invited to

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Body
Responses
201

A new organization invitation has been created

application/vnd.api+json
post/orgs/{org_id}/invites
POST /rest/orgs/{org_id}/invites?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 123

{
  "data": {
    "attributes": {
      "email": "example@email.com",
      "role": "f1968726-1dca-42d4-a4dc-80cab99e2b6c"
    },
    "type": "org_invitation"
  }
}
{
  "data": {
    "attributes": {
      "email": "example@email.com",
      "is_active": true,
      "role": "f1968726-1dca-42d4-a4dc-80cab99e2b6c"
    },
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "relationships": {
      "org": {
        "data": {
          "id": "4a72d1db-b465-4764-99e1-ecedad03b06a",
          "type": "resource"
        },
        "links": {
          "related": {
            "href": "https://example.com/api/resource/4a72d1db-b465-4764-99e1-ecedad03b06a"
          }
        }
      }
    },
    "type": "org_invitation"
  },
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource",
    "last": "https://example.com/api/resource",
    "next": "https://example.com/api/resource",
    "prev": "https://example.com/api/resource",
    "related": "https://example.com/api/resource",
    "self": "https://example.com/api/resource"
  }
}

List pending user invitations to an organization.

get

List pending user invitations to an organization.

Required permissions

  • View Organization (org.read)

  • View users (org.user.read)

Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

The id of the org the user is being invited to

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
starting_afterstringOptional

Return the page of results immediately after this cursor

Example: v1.eyJpZCI6IjEwMDAifQo=
ending_beforestringOptional

Return the page of results immediately before this cursor

Example: v1.eyJpZCI6IjExMDAifQo=
limitinteger · int32 · min: 10 · max: 100Optional

Number of results to return per page

Default: 10Example: 10
Responses
200

List of pending invitations to an organization.

application/vnd.api+json
get/orgs/{org_id}/invites
GET /rest/orgs/{org_id}/invites?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "attributes": {
        "email": "example@email.com",
        "is_active": true,
        "role": "Developer"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "relationships": {
        "org": {
          "data": {
            "id": "4a72d1db-b465-4764-99e1-ecedad03b06a",
            "type": "resource"
          },
          "links": {
            "related": {
              "href": "https://example.com/api/resource/4a72d1db-b465-4764-99e1-ecedad03b06a"
            }
          }
        }
      },
      "type": "text"
    }
  ],
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource",
    "last": "https://example.com/api/resource",
    "next": "https://example.com/api/resource",
    "prev": "https://example.com/api/resource",
    "related": "https://example.com/api/resource",
    "self": "https://example.com/api/resource"
  }
}

Cancel a pending user invitations to an organization.

delete

Cancel a pending user invitations to an organization.

Required permissions

  • Invite users (org.user.invite)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

The id of the org the user is being invited to

invite_idstring · uuidRequired

The id of the pending invite to cancel

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
204

The operation completed successfully with no content

delete/orgs/{org_id}/invites/{invite_id}
DELETE /rest/orgs/{org_id}/invites/{invite_id}?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*

No content

Last updated

Was this helpful?